apiVersion: networking.istio.io/v1beta1
kind: Gateway
metadata:
  name: hello-gateway
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
  - port:
      number: 80
      name: http
      protocol: HTTP
    hosts:
    - "*"
---
apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: hello-service
spec:
  hosts:
  - "*"
  gateways:
  - hello-gateway
  http:
  - match:
    - uri:
        exact: /hello
    - uri:
        exact: /transfer
    route:
    - destination:
        host: hello
        port:
          number: 8000
  - match:
    - uri:
        exact: /world
    route:
    - destination:
        host: world
        port:
          number: 8000
  - match:
    - uri:
        prefix: /auth
    route:
    - destination:
        host: auth
        port:
          number: 8000
